<div fxLayout="row wrap">
  <div fxFlex.gt-sm="200" fxFlex.gt-lg="500" fxFlex="200">
    <mat-card>
      <mat-card-content>
        <mat-card-title>Liste des Patients</mat-card-title>
        <div class="bg-light p-10 p-r-20 p-l-20">
          <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search (Filter)">
          </mat-form-field>
        </div>

        <div class="responsive-table">
          <mat-table #table [dataSource]="dataSource">
            <!-- Position Column -->
            <ng-container matColumnDef="sex">
              <mat-header-cell *matHeaderCellDef> Civilité </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.sex}} </mat-cell>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="lastName">
              <mat-header-cell *matHeaderCellDef> Nom </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.lastName}} </mat-cell>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="firstName">
              <mat-header-cell *matHeaderCellDef> Prenom </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.firstName}} </mat-cell>
            </ng-container>

            <!-- Symbol Column -->
            <ng-container matColumnDef="dateOfBirthday">
              <mat-header-cell *matHeaderCellDef> Date de Naissance </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.dateOfBirthday}} </mat-cell>
            </ng-container>

            <!-- Service Column -->
            <ng-container matColumnDef="service">
              <mat-header-cell *matHeaderCellDef> Service </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.service}} </mat-cell>
            </ng-container>


            <!-- NumberOfSecu Column -->
            <ng-container matColumnDef="numberOfSecu">
              <mat-header-cell *matHeaderCellDef> N° De Secu </mat-header-cell>
              <mat-cell *matCellDef="let element" style="margin:0 10px 0 0 "> {{element.numberOfSecu}} </mat-cell>
            </ng-container>

            <!-- Floor Column-->
            <ng-container matColumnDef="floor">
              <mat-header-cell *matHeaderCellDef> Etage </mat-header-cell>
              <mat-cell *matCellDef="let element" style="margin-left:10px"> {{element.floor}} </mat-cell>
            </ng-container>

            <!-- numberOfRoom Column -->
            <ng-container matColumnDef="numberOfRoom">
              <mat-header-cell *matHeaderCellDef> N° de Chambre </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.numberOfRoom}} </mat-cell>
            </ng-container>

            <!-- numberOfBed Column -->
            <ng-container matColumnDef="numberOfBed">
              <mat-header-cell *matHeaderCellDef> N° de Lit </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.numberOfBed}} </mat-cell>
            </ng-container>

            <!-- NumberOfDevice Column -->
            <ng-container matColumnDef="numberOfDevice">
              <mat-header-cell *matHeaderCellDef> N° d'appareil </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.numberOfDevice}} </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
          </mat-table>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
